{% load staticfiles %}

<!DOCTYPE html>
<html lang="pt-BR">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

 <link rel="stylesheet" 
     href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
         integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

<script src='https://api.mapbox.com/mapbox-gl-js/v0.51.0/mapbox-gl.js'></script>
<link href='https://api.mapbox.com/mapbox-gl-js/v0.51.0/mapbox-gl.css' rel='stylesheet' />

<!-- adicionando o Geocoder -->
<script src='https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v2.3.0/mapbox-gl-geocoder.min.js'></script>
<link rel='stylesheet' href='https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v2.3.0/mapbox-gl-geocoder.css' type='text/css' />

<!-- Importando o CSS da pasta STATIC -->
<link rel="stylesheet" type="text/css" href="{% static 'css/mapbox-gl-draw.css' %}">

<title>Mapa Dinâmico</title>
<style type="text/css">
*{ 
margin: 0; 
padding: 0; 
}    
html, 
body, 
#map{
  width: 100%;
  height: 100%;
  margin:0px;
}
   
</style>

</head>
<body>


<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-0">

  <div class="container">

  <a class="navbar-brand" href="{% url 'home' %}">
    <img  src="{% static 'img/logoMobdrive.png' %}"  width="160px" height="34px" alt="MobDrive" title="MobDrive" style="margin-top:-14px;">
  </a>

  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
          aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>


  <div class="collapse navbar-collapse" id="navbarSupportedContent">

       <ul class="navbar-nav mr-auto">

          {% if user.is_authenticated %}

          <li class="nav-item">
              <a class="nav-link" href="{% url 'agenda:lista' %}">Agenda</a>
          </li>

           <li class="nav-item">
              <a class="nav-link" href="{% url 'home_mapa' %}">Mapa Dinâmico</a>
          </li>

          {% endif %}

        </ul>


     {% if user.is_authenticated %}

       <ul class="navbar-nav">

      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          {{ user.get_full_name }} <!-- Retorna somente o primeiro nome 'first name' -->
            <!-- {{ user.username }} -->
            <!-- {{ user.get_full_name }} Retorna o primeiro nome(first name) e último nome(last name) -->
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="{% url 'password_change' %}">Alterar senha</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="{% url 'logout' %}">Sair</a>
        </div>
      </li>

      </ul>
  
      {% else %}

     <form class="form-inline my-2 my-lg-0">
         <a href="{% url 'login' %}" class="btn btn-outline-light"><strong>Entrar</strong></a>
         <a href="{% url 'registro' %}" class="btn btn-warning ml-2"><strong>Registro</strong></a>
    </form>

      {% endif %}

   </div>

 </div>

</nav>



<!-- Exibindo o mapa na página -->
<div id='map'></div>

<!-- Utilizando a parte do JavaScript no caminho do Path -->
<script src="{% static 'js/mapa.js' %}"></script>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>


 </body>
</html>